Delete an item
curl --request DELETE \
--url https://swish.app/api/2026-07/items/{itemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://swish.app/api/2026-07/items/{itemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://swish.app/api/2026-07/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/items/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/items/{itemId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://swish.app/api/2026-07/items/{itemId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/items/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"productId": 123,
"variantId": 456,
"quantity": 1,
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"metadata": {},
"product": {
"id": "gid://shopify/Product/123",
"productType": "Dresses",
"tags": [
"sale",
"summer"
],
"title": "Kai Dress In Tuberose",
"vendor": "W25A",
"updatedAt": "2026-01-22T11:03:14Z",
"handle": "kai-dress-in-tuberose",
"availableForSale": true,
"category": {
"id": "gid://shopify/Category/1",
"name": "Footwear"
},
"onlineStoreUrl": "https://example.com/products/kai-dress",
"featuredImage": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
},
"priceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"compareAtPriceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"variantsCount": 6
},
"variant": {
"availableForSale": true,
"selectedOptions": [
{
"name": "Size",
"value": "9"
}
],
"currentlyNotInStock": false,
"title": "Size 9",
"price": {
"amount": "90.00",
"currencyCode": "USD"
},
"compareAtPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"quantityAvailable": 5,
"sku": "SKU-123",
"image": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
}
}
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Items
Delete an item
Deletes a single item by its ID
DELETE
/
items
/
{itemId}
Delete an item
curl --request DELETE \
--url https://swish.app/api/2026-07/items/{itemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://swish.app/api/2026-07/items/{itemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://swish.app/api/2026-07/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/items/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/items/{itemId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://swish.app/api/2026-07/items/{itemId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/items/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"productId": 123,
"variantId": 456,
"quantity": 1,
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"metadata": {},
"product": {
"id": "gid://shopify/Product/123",
"productType": "Dresses",
"tags": [
"sale",
"summer"
],
"title": "Kai Dress In Tuberose",
"vendor": "W25A",
"updatedAt": "2026-01-22T11:03:14Z",
"handle": "kai-dress-in-tuberose",
"availableForSale": true,
"category": {
"id": "gid://shopify/Category/1",
"name": "Footwear"
},
"onlineStoreUrl": "https://example.com/products/kai-dress",
"featuredImage": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
},
"priceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"compareAtPriceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"variantsCount": 6
},
"variant": {
"availableForSale": true,
"selectedOptions": [
{
"name": "Size",
"value": "9"
}
],
"currentlyNotInStock": false,
"title": "Size 9",
"price": {
"amount": "90.00",
"currencyCode": "USD"
},
"compareAtPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"quantityAvailable": 5,
"sku": "SKU-123",
"image": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
}
}
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}